"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultPluginsSync = void 0;
const angular_json_1 = require("../adapter/angular-json");
/**
 * @todo(@agentender) v18: Remove this fn when we remove readWorkspaceConfig
 */
function getDefaultPluginsSync(root) {
    const plugins = [require('../plugins/js')];
    if ((0, angular_json_1.shouldMergeAngularProjects)(root, false)) {
        plugins.push(require('../adapter/angular-json').NxAngularJsonPlugin);
    }
    return plugins.map((p) => ({
        plugin: p,
    }));
}
exports.getDefaultPluginsSync = getDefaultPluginsSync;
